Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.common.util
Class ParameterValidation

    java.lang.Object
      org.jboss.portal.common.util.ParameterValidation

    public class ParameterValidation

extends java.lang.Object

Since:
  2.4 (May 31, 2006)
Version:
  $Revision: 5757 $
Author:
  Chris Laprun

Constructor Summary
`ParameterValidation()`

Method Summary
`static boolean` | `isNullOrEmpty(java.lang.String valueToCheck)`
`static void` | `throwIllegalArgExceptionIfNull(java.lang.Object objectToTest, java.lang.String name)`
`static void` | `throwIllegalArgExceptionIfNullOrEmpty(java.lang.Object[] array, java.lang.String name)`
`static void` | `throwIllegalArgExceptionIfNullOrEmpty(java.lang.String valueToCheck, java.lang.String valueName, java.lang.String contextName)`
`static void` | `throwIllegalArgExceptionIfRangeInvalid(char[] chars, int offset, int length)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParameterValidation

    public ParameterValidation()

Method Detail

### throwIllegalArgExceptionIfNullOrEmpty

    public static void throwIllegalArgExceptionIfNullOrEmpty(java.lang.String valueToCheck,
                                                             java.lang.String valueName,
                                                             java.lang.String contextName)

### throwIllegalArgExceptionIfRangeInvalid

    public static void throwIllegalArgExceptionIfRangeInvalid(char[] chars,
                                                              int offset,
                                                              int length)

### isNullOrEmpty

    public static boolean isNullOrEmpty(java.lang.String valueToCheck)

  Since:
    2.6

### throwIllegalArgExceptionIfNull

    public static void throwIllegalArgExceptionIfNull(java.lang.Object objectToTest,
                                                      java.lang.String name)

### throwIllegalArgExceptionIfNullOrEmpty

    public static void throwIllegalArgExceptionIfNullOrEmpty(java.lang.Object[] array,
                                                             java.lang.String name)

  Since:
    2.4.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.